.discover-list-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    row-gap: 40px;
    /* margin: 20px 0; */
}

@media(max-width:1024px){
.discover-list-container{
     grid-template-columns: 1fr 1fr;
}
}

@media(max-width:768px){
.discover-list-container{
     grid-template-columns: 1fr;
      row-gap: 20px;
}
}


.discover-list-item {
    background-color:white;
    border-radius:10px;
    padding:20px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.discover-list-item .post-title h3{
   font-size:20px; 
   margin-bottom:0;
}
.discover-list-item .post-title  a{
    text-decoration: none;
    color:black
}

.discover-list-item .post-title a:hover{
    color:var(--sky-blue);
}

.discover-list-item .post-date-catg p{
       margin-bottom:0;
}

.discover-list-item .post-date-catg {
    display:flex;
    justify-content:space-between
}

.discover-list-item .post-content{
     display:flex;
     flex-direction: column;
     row-gap:16px;
     height:100%;
}

.discover-list-item .post-thumbnail img{
    width:100%;
    border-radius: 10px;
    height: 250px;
    object-fit: cover;
}

.discover-list-item .category-badge {
    padding:4px 28px;
    text-transform: uppercase;
}
.discover-list-item .post-category {
    line-height: 1;
}
.discover-list-item .post-category .category-blogs {
    border:1px solid #CC6626;
    border-radius:20px;
   background-color:#cc662614; 
    color: #CC6626;
}

.discover-list-item .post-category .category-news {
    border: 1px solid #247DBF;
    border-radius: 20px;
    background-color: #247dbf17;
    color: #247DBF;
}

.discover-list-item .post-category .category-stories {
    border: 1px solid #afbf24;
    border-radius: 20px;
    background-color: #afbf2417;
    color: #afbf24;
}
.discover-list-item .post-button{
    margin-top:auto;
}
.discover-list-item .post-button a{
    background-color: transparent !important;
    color: var(--dark-blue) !important;
    border: 2px solid var(--sky-blue);
    padding: 17px 15px !important;
    border-radius: 5px;
    text-transform: uppercase;
    font-weight: 600;
    transition: all 0.2s ease;
    cursor: pointer;
    width: 100%;
    line-height: 1 !important;
    text-align: center;
    margin-top:auto;
}
.discover-list-item .post-button a{
    text-decoration: none;
    color:black;
    display: block;
}
.discover-list-item .post-button:hover a{
    color:#fff;
}
.discover-list-item .post-button a:hover{
 background-color: var(--sky-blue) !important;
    color: var(--dark-blue) !important;
    color: #fff !important;
    border-color: var(--sky-blue);
    text-decoration: none;
}

.topic-filter-dropdown{
    appearance: none;
    background-color:#247DBF;
    background-image: url('/wp-content/uploads/2025/11/funnel.webp');
    background-repeat: no-repeat;
    color:white;
    border-radius:5px;
    padding:17px;
    padding-right:42px;
    font-weight:bold;
    background-size: 18px;
    background-position: calc(100% - 22px) center;
    cursor: pointer;
}

.topic-filter-dropdown:focus {
    background-color:#247DBF;
    color: white;
}

.topic-filter-dropdown option {
    background-color:white;
    color:black;
}

.discover-more-btn{
    text-align: center;
    margin-top: 40px;
}

@media(max-width:768px){
.topic-filter-dropdown{
flex-grow:1;
}
}
